package com.iamberry.cache;
/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年9月5日
 * @explain	本地缓存工具类
 */
public class CacheFactory <K, V> {

	/**
	 * 创建足够缓存2000个数据的对象
	 */
	private LocalCache<K, V> localCache = new LocalCache<K, V>(1000);
	
	/**
	 * 缓存数据到本地实现中,如果已经存在未k的数据，将使用v覆盖以前的数据value
	 * @param k 缓存的key
	 * @param v 缓存的value
	 * @author 	献
	 */
	public void put(K k, V v) {
		localCache.put(k, v);
	}
	
	/**
	 * 获取已经缓存的对象，如果不存在，返回为null
	 * @param 缓存的key
	 * @return 缓存的value
	 * @author 	献
	 */
	public V get(K k) {
		return localCache.get(k);
	}
}
